##  for PCLinuxOS  ##

%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name:    xcb-imdkit
Summary: An implementation of xim protocol in xcb
Version: 1.0.5
Release: 1.nora23
License: LGPLv2 and MIT
Group:   System/X11
Url:     https://github.com/fcitx/xcb-imdkit
Source: %{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-keysyms)
BuildRequires: pkgconfig(xcb-util)

%description
xcb-imdkit is an implementation of xim protocol in xcb, comparing with the implementation of IMDkit with Xlib, and xim inside Xlib, it has less memory foot print, better performance, and safer on malformed client.


%package -n %{libname}
Summary: An implementation of xim protocol in xcb
Group:   System/X11
Obsoletes: lib64xcb-imdkit0

%description -n %{libname}
xcb-imdkit is an implementation of xim protocol in xcb, comparing with the implementation of IMDkit with Xlib, and xim inside Xlib, it has less memory foot print, better performance, and safer on malformed client.


%package -n %{develname}
Summary: Development files for xcb-imdkit
Group:   Development/C
Requires: %{libname} = %{version}-%{release}

%description -n %{develname}
This package provides development files for xcb-imdkit.


%prep
%setup -q


%build
%cmake
%cmake_build


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install


%files -n %{libname}
%defattr(-,root,root)
%doc README.md LICENSES/LGPL-2.1-only.txt
%{_libdir}/libxcb-imdkit.so.%{major}
%{_libdir}/libxcb-imdkit.so.%{major}.0.5

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/xcb-imdkit
%{_libdir}/cmake/XCBImdkit
%{_libdir}/libxcb-imdkit.so
%{_libdir}/pkgconfig/xcb-imdkit.pc


%changelog
* Sun Mar 12 2023 tomcat <> 1.0.5-1.nora23
- 1.0.5
- update %%files

* Wed Nov 23 2022 tomcat <> 1.0.4-1.nora22
- 1.0.4
- update %%files

* Mon Mar 22 2021 tomcat <> 1.0.3-1.nora21
- 1.0.3
- update %%files

* Tue Jan 12 2021 tomcat <> 1.0.2-1.nora21
- 1.0.2
- update %%files

* Tue Jan 05 2021 tomcat <> 1.0.1-1.nora21
- 1.0.1 for PCLinuxOS
